Package tigase.kernel.beans.config

## Class AbstractBeanConfigurator.BeanDefinition

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap
    - - tigase.kernel.beans.config.AbstractBeanConfigurator.BeanDefinition

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map`
  Enclosing class:
    AbstractBeanConfigurator

      public static class AbstractBeanConfigurator.BeanDefinition
      extends java.util.HashMap

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractBeanConfigurator.BeanDefinition.Builder` |

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanDefinition()` |
    `BeanDefinition​(AbstractBeanConfigurator.BeanDefinition def)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getBeanName()` |
    `java.lang.String` | `getClazzName()` |
    `int` | `hashCode()` |
    `boolean` | `isActive()` |
    `boolean` | `isExportable()` |
    `void` | `setActive​(boolean active)` |
    `void` | `setBeanName​(java.lang.String beanName)` |
    `void` | `setClazzName​(java.lang.String clazzName)` |
    `void` | `setExportable​(boolean exportable)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanDefinition

          public BeanDefinition()

    - #### BeanDefinition

          public BeanDefinition​(AbstractBeanConfigurator.BeanDefinition def)

  - ### Method Detail

    - #### getBeanName

          public java.lang.String getBeanName()

    - #### setBeanName

          public void setBeanName​(java.lang.String beanName)

    - #### getClazzName

          public java.lang.String getClazzName()

    - #### setClazzName

          public void setClazzName​(java.lang.String clazzName)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive​(boolean active)

    - #### isExportable

          public boolean isExportable()

    - #### setExportable

          public void setExportable​(boolean exportable)

    - #### equals

          public boolean equals​(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Map`
      Overrides:
        `equals` in class `java.util.AbstractMap`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map`
      Overrides:
        `hashCode` in class `java.util.AbstractMap`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractMap`